aboutsummaryrefslogtreecommitdiff
path: root/scripts/util/blue
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/util/blue')
-rwxr-xr-xscripts/util/blue9
1 files changed, 9 insertions, 0 deletions
diff --git a/scripts/util/blue b/scripts/util/blue
new file mode 100755
index 0000000..14675b3
--- /dev/null
+++ b/scripts/util/blue
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+case "$(printf " connect\n disconnect" | dmenu -i -p 'Connect or Disconnect')" in
+ ' connect') case "$(printf " crusher\n " | dmenu -i -p 'Connect a Device')" in
+ ' crusher' ) bluetoothctl agent on ; bluetoothctl default-agent ; bluetoothctl power on ; bluetoothctl trust 38:F3:2E:BC:D1:F2 ; bluetoothctl connect 38:F3:2E:BC:D1:F2 ;;
+ esac ;;
+ ' disconnect') bluetoothctl disconnect ;;
+ *) exit 1 ;;
+esac